problem with upgrade [Debian Sarge]

Discussion in 'Installation/Configuration' started by pontifex, Jun 23, 2006.

  1. pontifex

    pontifex New Member

    Hi everyone,
    i am updating my server on a regular base using the following command

    apt-get update
    apt-get upgrade

    Now the following error comes up every time:

    apt-get upgrade 
    Reading package lists... Done 
    Building dependency tree... Done 
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. 
    1 not fully installed or removed. 
    Need to get 0B of archives. 
    After unpacking 0B of additional disk space will be used. 
    Do you want to continue [Y/n]? y 
    Setting up sasl2-bin (2.1.19.dfsg1-0.2) ... 
    Starting SASL Authentication Daemon: (failed). 
    invoke-rc.d: initscript saslauthd, action "start" failed. 
    dpkg: error processing sasl2-bin (--configure): 
     subprocess post-installation script returned error exit status 1 
    Errors were encountered while processing: 
    E: Sub-process /usr/bin/dpkg returned an error code (1) 
    What can i do and how does that affect my system. when i run nmap localhost

    smtp, smtp ssl, pop3 ssl and imap ssl seem to work

    Any help is very appreached!!!

  2. New Member

    Have a look here for what SASL is.

    Maybe try removing the package with
    apt-get remove sasl2-bin
    and reinstalling with
    apt-get install sasl2-bin
    Or try a
    apt-get --reinstall install sasl2-bin
    apt-get -f --reinstall install sasl2-bin

Share This Page